import time
imp.load_source("util","ScriptEditor/util.py") 
from util import *

def addSimulationTimeResult(startTime, \
							outputDescriptors, \
							output):
	simulationTimeDescriptor = createNumberDescriptor("sim_time", _("Simulation time"), "s", "%.2f", "sim_time", False)
	outputDescriptors.append(simulationTimeDescriptor)
	output["sim_time"] = time.time() - startTime
	
def addCavityDetectionResult(pslgBoundarySettings, \
							pslgBoundaryDescriptors, \
							outputDescriptors, \
							output):
	if 'cavity_detection' in pslgBoundarySettings:
		if '__descriptor_name__' in pslgBoundarySettings['cavity_detection']:
			bind = pslgBoundarySettings['cavity_detection']['__descriptor_name__']
			for descriptor in pslgBoundaryDescriptors['descriptors']:
				if '__descriptor_name__' in descriptor:
					if descriptor['__descriptor_name__'] == bind:
						cavityDetectionDescriptor = createStringDescriptor('cavity_detection', _('Cavity detection'), 'cav_det', -1, -1, False)
						outputDescriptors.append(cavityDetectionDescriptor)
						output['cavity_detection'] = descriptor['type_name']
				